curl --request GET \
--url https://api.togai.com/event_schema/{event_schema_name}/versions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"name": "ride_completed",
"description": "Cab ride completed",
"version": 1,
"status": "DRAFT",
"attributes": [
{
"name": "distance"
},
{
"name": "time"
}
],
"dimensions": [
{
"name": "city"
},
{
"name": "ride_type"
}
]
}
]
}Get a list of all the versions of an event schema
curl --request GET \
--url https://api.togai.com/event_schema/{event_schema_name}/versions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"name": "ride_completed",
"description": "Cab ride completed",
"version": 1,
"status": "DRAFT",
"attributes": [
{
"name": "distance"
},
{
"name": "time"
}
],
"dimensions": [
{
"name": "city"
},
{
"name": "ride_type"
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
50"rides"
Response for list event schema versions request
Response for event schema versions
Show child attributes
Name of the event. Must be unique for an organization.
50Version of event schema
x >= 11
Description of the event
255Status of event schema
DRAFT, ACTIVE, INACTIVE, ARCHIVED "DRAFT"
Show child attributes
Show child attributes
ATTRIBUTE, DIMENSION VALUE, JSON_LOGIC, JSON_LOGIC_FROM_DEPENDENCY Template used to generate event id based on event payload